#pragma once

#include "uihelper.h"


class WidgetPage : public QWidget
{
public:
    static std::shared_ptr<WidgetPage> create(QWidget* parent, std::string name);

    WidgetPage(QWidget* parent) : QWidget(parent)
    {
    }

    virtual void updateData() {};

};